## golang-github-performancecopilot-speed 4.0.0

=== Makefile ===
build:
	go build ./...
	go install ./...

clean:
	git clean -Xf

clean_string:
	rm *_string.go
	rm mmvdump/*_string.go

gen:
	go generate

deps:
	go get -u golang.org/x/tools/cmd/stringer
	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s v1.15.0
	bin/golangci-lint --version

lint:
	bin/golangci-lint run

test:
	go test -v ./...

race:
	go test -v -race ./...

cover: coverage
coverage:
	go test -v -coverprofile=speed.coverage
	go tool cover -html=speed.coverage

	go test -v -coverprofile=bytebuffer.coverage ./bytebuffer/
	go tool cover -html=bytebuffer.coverage

	go test -v -coverprofile=mmvdump.coverage ./mmvdump/
	go tool cover -html=mmvdump.coverage

bench: benchmark
benchmark:
	go test -v -bench ./...

=== debian/changelog ===
golang-github-performancecopilot-speed (4.0.0-4) unstable; urgency=medium

  * Disable running tests on s390x systems
  * Update Standards-Version to 4.6.2 in d/control (no changes needed)
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 13 Jul 2023 21:22:05 +0000

golang-github-performancecopilot-speed (4.0.0-3) unstable; urgency=medium

  * Adjust d/rules so mmvdump binary isn't installed, but its source code is
    (fix autopkgtest failure)

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 25 Nov 2022 20:13:54 +0000

golang-github-performancecopilot-speed (4.0.0-2) unstable; urgency=medium

  * Source-only upload for migration

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 23 Nov 2022 22:21:39 +0000

golang-github-performancecopilot-speed (4.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1024585)

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 22 Nov 2022 00:39:46 +0000

=== debian/control ===
Source: golang-github-performancecopilot-speed
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-edsrzf-mmap-go-dev,
               golang-github-hdrhistogram-hdrhistogram-go-dev,
               golang-github-pkg-errors-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-performancecopilot-speed
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-performancecopilot-speed.git
Homepage: https://github.com/performancecopilot/speed
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/performancecopilot/speed

Package: golang-github-performancecopilot-speed-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-edsrzf-mmap-go-dev,
         golang-github-hdrhistogram-hdrhistogram-go-dev,
         golang-github-pkg-errors-dev,
         ${misc:Depends}
Description: Implementation of the PCP instrumentation API (library)
 Golang implementation of the Performance Co-Pilot (PCP)
 instrumentation API.
 .
 There are 3 main components defined in the library, a Client, a
 Registry and a Metric. A client is created using an application name,
 and the same name is used to create a memory mapped file in
 PCP_TMP_DIR. Each client contains a registry of metrics that it
 holds, and will publish on being activated.

=== debian/rules ===
#!/usr/bin/make -f

# Don't build the examples or mmvdump binary
export DH_GOLANG_EXCLUDES := examples/ mmvdump/cmd/mmvdump

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# The tests expect test data to match the endianness of the system where the
# tests are run. This breaks tests on s390x (big endian), so for now don't run
# the tests on that architecture. (Reported upstream as
# https://github.com/performancecopilot/speed/issues/64)
override_dh_auto_test:
ifneq ($(DEB_HOST_ARCH),s390x)
	dh_auto_test
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/performancecopilot/speed/tags .*/v?(\d\S*)\.tar\.gz debian
